# meca

Plot focal mechanisms

## Synopsis

gmt meca [ table ] -J parameters -R region -S<format><scale>[+a angle][+f font][+j justify][+o dx[/dy]] [ -B[p|s]parameters ] [ -C[pen][+s size] ] [ -D depmin/depmax ] [ -E fill] [ -F mode[args] ] [ -G fill] [ -L[pen] ] [ -M ] [ -N ] [ -T nplane[/pen] ] [ -U[stamp] ] [ -V[level] ] [ -W pen ] [ -X[a|c|f|r][xshift] ] [ -Y[a|c|f|r][yshift] ] [ -Z cpt] [ -di nodata ] [ -e regexp ] [ -h headers ] [ -i flags ] [ -p flags ] [ -qi flags ] [ -t transp ] [ -:[i|o] ] [ --PAR=value ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

Reads data values from files [or standard input] and plots focal mechanisms.

## Required Arguments

table

  One or more ASCII (or binary, see -bi[ncols][type]) data table file(s) holding a number of data columns. If no tables are given then we read from standard input.

-J parameters (more …)

  Select map projection.

-R west/east/south/north[/zmin/zmax][+r][+u unit]

  west, east, south, and north specify the region of interest, and you may specify them in decimal degrees or in [±]dd:mm[:ss.xxx][W|E|S|N] format Append +r if lower left and upper right map coordinates are given instead of w/e/s/n. The two shorthands -Rg and -Rd stand for global domain (0/360 and -180/+180 in longitude respectively, with -90/+90 in latitude). Set geographic regions by specifying ISO country codes from the Digital Chart of the World using -R code1,code2,…[+r|R[incs]] instead: Append one or more comma-separated countries using the 2-character ISO 3166-1 alpha-2 convention. To select a state of a country (if available), append .state, e.g, US.TX for Texas. To specify a whole continent, prepend = to any of the continent codes AF (Africa), AN (Antarctica), AS (Asia), EU (Europe), OC (Oceania), NA (North America), or SA (South America). Use +r to modify the bounding box coordinates from the polygon(s): Append inc, xinc/yinc, or winc/einc/sinc/ninc to adjust the region to be a multiple of these steps [no adjustment]. Alternatively, use +R to extend the region outward by adding these increments instead, or +e which is like +r but it ensures that the bounding box extends by at least 0.25 times the increment [no extension]. Alternatively for grid creation, give R code lon/lat/nx/ny, where code is a 2-character combination of L, C, R (for left, center, or right) and T, M, B for top, middle, or bottom. e.g., BL for lower left. This indicates which point on a rectangular region the lon/lat coordinate refers to, and the grid dimensions nx and ny with grid spacings via -I is used to create the corresponding region. Alternatively, specify the name of an existing grid file and the -R settings (and grid spacing and registration, if applicable) are copied from the grid. Appending +u unit expects projected (Cartesian) coordinates compatible with chosen -J and we inversely project to determine actual rectangular geographic region. For perspective view (-p), optionally append /zmin/zmax. In case of perspective view (-p), a z-range (zmin, zmax) can be appended to indicate the third dimension. This needs to be done only when using the -Jz option, not when using only the -p option. In the latter case a perspective view of the plane is plotted, with no third dimension.

-S<format><scale>[+a angle][+f font][+j justify][+o dx[/dy]]

  Selects the meaning of the columns in the data file. scale adjusts the scaling of the radius of the “beach ball”, which will be proportional to the magnitude. scale is the size for magnitude = 5 (i.e. scalar seismic moment M0 = 4.0E23 dynes-cm). The color or shade of the compressive quadrants can be specified with the -G option. The color or shade of the extensive quadrants can be specified with the -E option. For each beachball, a text string can be specified to appear near the beachball [optional]. Append +a angle to change the angle of the text string; append +f font to change its font (size,fontname,color); append +j justify to change the text location relative to the beachball (default is above the beachball); append +o to offset the text string by dx/dy.

  In order to use the same file to plot cross-sections, depth is in third column. Nevertheless, it is possible to use “old style” psvelomeca input files without depth in third column using the -Fo option.

-Sa scale[+f font][+j justify][+o dx[/dy]]

  Focal mechanisms in Aki and Richards convention. Parameters are expected to be in the following columns:

  1,2: longitude, latitude of event (-: option interchanges order)

  3: depth of event in kilometers

  4,5,6: strike, dip and rake in degrees

  7: magnitude

  8,9: longitude, latitude at which to place beachball if -C is used (optional). Using 0,0 in columns 8 and 9 will plot the beach ball at the longitude, latitude given in columns 1 and 2. The -: option will interchange the order of columns (1,2) and (8,9).

  10: Text string to appear near the beach ball (optional).

-Sc scale[+f font][+j justify][+o dx[/dy]]

  Focal mechanisms in Global CMT convention. Parameters are expected to be in the following columns:

  1,2: longitude, latitude of event (-: option interchanges order)

  3: depth of event in kilometers

  4,5,6: strike, dip, and rake of plane 1

  7,8,9: strike, dip, and rake of plane 2

  10,11: mantissa and exponent of moment in dyne-cm

  12,13: longitude, latitude at which to place beachball if -C is used (optional). Using 0,0 in columns 8 and 9 will plot the beach ball at the longitude, latitude given in columns 1 and 2. The -: option will interchange the order of columns (1,2) and (12,13).

  14: Text string to appear near the beach ball (optional).

-Sm|d|z scale[+f font][+j justify][+o dx[/dy]]

  Seismic moment tensor. -Sm plots the full seismic moment tensor. -Sz plots the deviatoric part of the moment tensor (zero trace). -Sd plots the closest double couple defined from the moment tensor (zero trace and zero determinant). Global CMT moment tensors are deviatoric, so -Sm and -Sz will produce the same result, but -Sd will not, unless the input moment tensor is already a double couple. Parameters are expected to be in the following columns:

  1,2: longitude, latitude of event (-: option interchanges order)

  3: depth of event in kilometers

  4,5,6,7,8,9: mrr, mtt, mff, mrt, mrf, mtf in 10*exponent dynes-cm

  10: exponent

  11,12: longitude, latitude at which to place beachball if -C is used (optional). Using 0,0 in columns 8 and 9 will plot the beach ball at the longitude, latitude given in columns 1 and 2. The -: option will interchange the order of columns (1,2) and (11,12).

  13: Text string to appear near the beach ball (optional).

-Sp scale[+f font][+j justify][+o dx[/dy]]

  Focal mechanisms given with partial data on both planes. Parameters are expected to be in the following columns:

  1,2: longitude, latitude of event (-: option interchanges order)

  3: depth of event in kilometers

  4,5: strike, dip of plane 1

  6: strike of plane 2

  7: must be -1/+1 for a normal/inverse fault

  8: magnitude

  9,10: longitude, latitude at which to place beachball if -C is used (optional). Using 0,0 in columns 8 and 9 will plot the beach ball at the longitude, latitude given in columns 1 and 2. The -: option will interchange the order of columns (1,2) and (9,10).

  11: Text string to appear near the beach ball (optional).

-Sx|y|t scale[+f font][+j justify][+o dx[/dy]]

  Principal axis. Use -Sx to plot full seismic moment tensor. Use -Sy to plot the closest double couple defined from the moment tensor (zero trace and zero determinant). Use -St to plot the deviatoric part of the moment tensor (zero trace). Parameters are expected to be in the following columns:

  1,2: longitude, latitude of event (-: option interchanges order)

  3: depth of event in kilometers

  4,5,6,7,8,9,10,11,12: value (in 10*exponent dynes-cm), azimuth, plunge of T, N, P axis.

  13: exponent

  14,15: longitude, latitude at which to place beachball if -C is used (optional). Using 0,0 in columns 8 and 9 will plot the beach ball at the longitude, latitude given in columns 1 and 2. The -: option will interchange the order of columns (1,2) and (14,15).

  16: Text string to appear near the beach ball (optional).

## Optional Arguments

-B[p|s]parameters (more …)

  Set map boundary frame and axes attributes.

-C[pen][+s size]

  Offsets focal mechanisms to the longitude, latitude specified in the last two columns of the input file before the (optional) text string. A small circle is plotted at the initial location and a line connects the beachball to the circle. Specify pen and optionally append +s size to change the line style and/or size of the circle. [Defaults: pen as given by -W; size is 0].

-D depmin/depmax

  Plots events between depmin and depmax.

-E fill (more …)

  Selects filling of extensive quadrants. [Default is white].

-F mode[args]

  Sets one or more attributes; repeatable. The various combinations are

-Fa[size[/Psymbol[Tsymbol]]]

  Computes and plots P and T axes with symbols. Optionally specify size and (separate) P and T axis symbols from the following: (c) circle, (d) diamond, (h) hexagon, (i) inverse triangle, (p) point, (s) square, (t) triangle, (x) cross. [Default: 6p/cc]

-Fe fill

  Sets the color or fill pattern for the T axis symbol. [Default as set by -E]

-Fg fill

  Sets the color or fill pattern for the P axis symbol. [Default as set by -G]

-Fo

  Use the psvelomeca input format without depth in the third column.

-Fp[pen]

  Draws the P axis outline using default pen (see -W), or sets pen attributes.

-Fr[fill]

  Draw a box behind the label (if any). [Default fill is white]

-Ft[pen]

  Draws the T axis outline using default pen (see -W), or sets pen attributes.

-Fz[pen]

  Overlay zero trace moment tensor using default pen (see -W), or sets pen attributes.

-G fill (more …)

  Selects filling of focal mechanisms. By convention, the compressional quadrants of the focal mechanism beach balls are shaded. [Default is black].

-L[pen]

  Draws the “beach ball” outline with pen attributes instead of with the default pen set by -W.

-M

  Use the same size for any magnitude. Size is given with -S.

-N

  Does NOT skip symbols that fall outside frame boundary specified by -R [Default plots symbols inside frame only].

-T[nplane][/pen]

  Plots the nodal planes and outlines the bubble which is transparent. If nplane is

  0: both nodal planes are plotted;

  1: only the first nodal plane is plotted;

  2: only the second nodal plane is plotted.

  Append /pen to set the pen attributes for this feature. Default pen is as set by -W. [Default: 0].

  For double couple mechanisms, the -T option renders the beach ball transparent by drawing only the nodal planes and the circumference. For non-double couple mechanisms, -T 0 option overlays best double couple transparently.

-U[label][+c][+j just][+o dx/dy] (more …)

  Draw GMT time stamp logo on plot.

-V[level] (more …)

  Select verbosity level [w].

-W pen

  Set pen attributes for all lines and the outline of symbols [Defaults: default,black,solid]. This setting applies to -C, -L, -T, -Fp, -Ft, and -Fz, unless overruled by options to those arguments.

-X[a|c|f|r][xshift]

-Y[a|c|f|r][yshift] (more …)

  Shift plot origin.

-Z cpt

  Give a CPT and let compressive part color be determined by the z-value in the third column.

-di nodata (more …)

  Replace input columns that equal nodata with NaN.

-e[~]“pattern” | -e[~]/regexp/[i] (more …)

  Only accept data records that match the given pattern.

-h[i|o][n][+c][+d][+m segheader][+r remark][+t title] (more …)

  Skip or produce header record(s).

-i cols[+l][+s scale][+o offset][,…][,t[word]] (more …)

  Select input columns and transformations (0 is first column, t is trailing text, append word to read one word only).

-p[x|y|z]azim[/elev[/zlevel]][+w lon0/lat0[/z0]][+v x0/y0] (more …)

  Select perspective view.

-qi[~]rows[+c col][+a|f|s] (more …)

  Select input rows or data range(s) [all].

-t[transp] (more …)

  Set transparency level in percent.

-:[i|o] (more …)

  Swap 1st and 2nd column on input and/or output.

-^ or just -

  Print a short message about the syntax of the command, then exit (NOTE: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exit.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exit.

--PAR=value

  Temporarily override a GMT default setting; repeatable. See gmt.conf for parameters.

## Examples

Note: Since many GMT plot examples are very short (i.e., one module call between the gmt begin and gmt end commands), we will often present them using the quick modern mode GMT Modern Mode One-line Commands syntax, which simplifies such short scripts.

The following file should give a normal-faulting CMT mechanism:

    gmt meca -R239/240/34/35.2 -Jm4c -Sc2c -pdf test << END
    # lon lat depth str dip slip st dip slip mant exp plon plat
    239.384 34.556 12. 180 18 -88 0 72 -90 5.5 0 0 0
    END

## References

- Aki, K., & Richards, P. G. (1980). Quantitative seismology: theory and methods. San Francisco: W. H. Freeman.

- Dahlen, F. A., & Tromp, J. (1998). Theoretical global seismology. Princeton, N.J: Princeton University Press.

- Frohlich, C. (1996). Cliff’s Nodes Concerning Plotting Nodal Lines for P, SH and SV. Seismological Research Letters, 67(1), 16–24. https://doi.org/10.1785/gssrl.67.1.16

- Lay, T., & Wallace, T. C. (1995). Modern global seismology. San Diego: Academic Press.

## Author

Genevieve Patau, Laboratory of Seismogenesis, Institut de Physique du Globe de Paris, Departement de Sismologie, Paris, France

## See Also

polar, coupe, gmt, basemap, plot